## hed-0.1.5.crate

=== Makefile ===
default_prefix = /usr/local
prefix ?= $(default_prefix)
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
libdir = $(exec_prefix)/lib
includedir = $(prefix)/include
datarootdir = $(prefix)/share
datadir = $(datarootdir)

SOURCES = $(shell find src -type f -wholename '*src/*.rs') Cargo.toml Cargo.lock

RELEASE = debug
DEBUG ?= 0
ifeq (0,$(DEBUG))
	ARGS = --release
	RELEASE = release
endif

VENDORED ?= 0
# ifeq (1,$(VENDORED))
#     ARGS += --frozen
# endif

TARGET = target/$(RELEASE)

.PHONY: all clean distclean install uninstall update

BIN=hed

all: cli

cli: $(TARGET)/$(BIN) $(TARGET)/$(BIN).1.gz $(SOURCES) 

clean:
	cargo clean

distclean: clean
	rm -rf .cargo vendor vendor.tar

vendor: vendor.tar

vendor.tar:
	mkdir -p .cargo
	cargo vendor | head -n -1 > .cargo/config
	echo 'directory = "vendor"' >> .cargo/config
	tar pcf vendor.tar vendor
	rm -rf vendor

install-cli: cli
	install -Dm 0755 "$(TARGET)/$(BIN)" "$(DESTDIR)$(bindir)/$(BIN)"
	install -Dm 0644 "$(TARGET)/$(BIN).1.gz" "$(DESTDIR)$(datadir)/man/man1/$(BIN).1.gz"

install: all install-cli

uninstall-cli:
	rm -f "$(DESTDIR)$(bindir)/$(BIN)"
	rm -f "$(DESTDIR)$(datadir)/man/man1/$(BIN).1.gz"

uninstall: uninstall-cli 

update:
	cargo update

extract:
ifeq ($(VENDORED),1)
	tar pxf vendor.tar
endif

$(TARGET)/$(BIN): 
	cargo build --manifest-path Cargo.toml $(ARGS)

$(TARGET)/$(BIN).1.gz: $(TARGET)/$(BIN)
	help2man --no-info $< | gzip -c > $@.partial
	mv $@.partial $@

deb: cli
	dpkg-buildpackage -b -rfakeroot -us -uc

=== debian/changelog ===
hed (0.1.5) unstable; urgency=medium

  * Initial release (Closes: #996405)

 -- Arjen Wiersma <arjen+debian@wiersma.org>  Mon, 25 Oct 2021 22:43:10 +0200

=== debian/control ===
Source: hed
Section: utils
Priority: optional
Maintainer: Arjen Wiersma <arjen+debian@wiersma.org>
Build-Depends:
    debhelper-compat (= 13),
    cargo,
    help2man
Standards-Version: 4.5.1
Homepage: https://github.com/credmp/hed
#Vcs-Browser: https://salsa.debian.org/debian/hed
Vcs-Git: https://github.com/credmp/hed.git
Rules-Requires-Root: no

Package: hed
Architecture: amd64
Depends:
    ${shlibs:Depends},
    ${misc:Depends}
Description: command-line tool to manage the hosts file.
 Enables you to manipulate your hosts file from the command-line.
 By providing safe and easy commands you can add new hosts and aliases
 to your environment.

=== debian/rules ===
#!/usr/bin/make -f

# export VENDORED ?= 1
CLEAN ?= 1

%:
	dh $@

override_dh_auto_build:
	env CARGO_HOME="$$(pwd)/target/cargo" \
	dh_auto_build

override_dh_auto_clean:
ifeq ($(CLEAN),1)
	make clean
endif
# ifeq ($(VENDORED),1)
# 	if ! ischroot; then \
# 		make vendor; \
# 	fi
# endif

override_dh_auto_install:
	dh_auto_install -- prefix=/usr
